#!/bin/sh

# Remove the ECC_TYPE variable from the U-boot environment.  This will
# cause u-boot to use the original Hamming ECC for nand, but only after
# a reboot of u-boot.  At this point firmware that is reloaded into nand
# will use Hamming ECC.

sxnetset -d ECC_TYPE > /var/log/ecc_disable_bch.log 2>&1
retval=$?

if [ "$retval" -eq "0" ]; then
    echo "Successfully removed ECC_TYPE=BCH."
    echo "Successfully removed ECC_TYPE=BCH." > /var/log/ecc_enable_bch.log
else
    echo "Failed to remove ECC_TYPE=BCH"
    echo "Failed to remove  ECC_TYPE=BCH." > /var/log/ecc_enable_bch.log
fi
